#!/bin/csh -f

# shell program to test tilde.pl

# Subtest 1: testing to see if it replaces % with ~

echo "Subtest 1: Testing to replace % with ~"

set TESTFILE       = "test-1.percent.xml"
set TARGETFILE_1   = "test-1.tilde.xml"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_1)) then
    echo "File $TARGETFILE_1 does not exist... aborting"
    exit
endif

# now test 
echo "Testing tilde: tilde.pl $TESTFILE > out"
tilde.pl $TESTFILE > out

# find diffs
diff out $TARGETFILE_1 > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_1)"
else
    echo "Following differences exist between word1.n.xml and $TARGETFILE_1 :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f out

# Subtest 2: testing to see if it replaces ~ with %

echo "Subtest 1: Testing to replace ~ with %"

set TESTFILE       = "test-1.tilde.xml"
set TARGETFILE_1   = "test-1.percent.xml"

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_1)) then
    echo "File $TARGETFILE_1 does not exist... aborting"
    exit
endif

# now test 
echo "Testing tilde: tilde.pl $TESTFILE > out"
tilde.pl $TESTFILE > out

# find diffs
diff out $TARGETFILE_1 > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_1)"
else
    echo "Following differences exist between word1.n.xml and $TARGETFILE_1 :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f out

