#!/bin/csh -f

# shell program to test winnerTakeAll.pl

# set up test file 
set TESTFILE     = "test-1.input"

# target files 
set TARGETFILE_1 = "test-1.sub-1.reqd"   
set TARGETFILE_2 = "test-1.sub-2.reqd" 

# first check if these files exist. if any one does not, quit
if (!(-e $TESTFILE)) then
    echo "File $TESTFILE does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_1)) then
    echo "File $TARGETFILE_1 does not exist... aborting"
    exit
endif

if (!(-e $TARGETFILE_2)) then
    echo "File $TARGETFILE_2 does not exist... aborting"
    exit
endif

# first sub test : without --margin switch
echo "Sub test 1: without --margin switch"

echo "Testing winnerTakeAll.pl thusly: winnerTakeAll.pl $TESTFILE"
winnerTakeAll.pl $TESTFILE > out

# find diffs
diff out $TARGETFILE_1 > difference

if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_1) ... ok"
else
    echo "Following differences exist between the output and $TARGETFILE_1 :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f out

# second sub test : with --margin switch
echo "Sub test 2: with --margin switch"

echo "Testing winnerTakeAll.pl thusly: winnerTakeAll.pl $TESTFILE --margin .4"
winnerTakeAll.pl $TESTFILE --margin .4 > out

# find diffs
diff out $TARGETFILE_2 > difference
if (-z difference) then
    echo "   Output matches target output (as provided in $TARGETFILE_2) ... ok"
else
    echo "Following differences exist between out and $TARGETFILE_2 :"
    cat difference
endif
/bin/rm -f difference
/bin/rm -f out

